org.eclipse.ecf.remoteservice.rest.client

## Class HttpDeleteRequestType

- java.lang.Object
- - org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType
  - - org.eclipse.ecf.remoteservice.rest.client.HttpDeleteRequestType

All Implemented Interfaces:
  IRemoteCallableRequestType

    public class HttpDeleteRequestType
    extends AbstractRequestType

### Field Summary

### Fields inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType

`defaultRequestHeaders`

### Constructor Summary

Constructors
Constructor and Description
`HttpDeleteRequestType()`
`HttpDeleteRequestType(Map defaultRequestHeaders)`

### Method Summary

### Methods inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType

`getDefaultRequestHeaders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpDeleteRequestType

    public HttpDeleteRequestType(Map defaultRequestHeaders)

#### HttpDeleteRequestType

    public HttpDeleteRequestType()